GET Get a list of all email send definitions. You can filter and sort the results by including query parameters.
GET /messaging/v1/email/definitions
Operation ID: Retrieve all email send definitions.
Parameters
Authorization(header, string, required) A unique, time-limited token that you can use to issue requests to the Marketing Cloud Engagement API. ReplaceYOUR_ACCESS_TOKENwith your authentication token.Example
Bearer YOUR_ACCESS_TOKEN$page(query, integer) The page of results to retrieve. Each page includes the number of records specified by the$pagesizeparameter. You can retrieve additional pages by incrementing this number in subsequent calls. Don’t specify this parameter if the$offsetparameter is specified.
Default:1.$pagesize(query, integer) The number of records to return on each page of results.
Default:2500.$filter(query, string) A string that describes the filter to apply to the response. The filter must be URL encoded. Use single quotes for field values. Filters can include theeqandneqoperators.$orderBy(query, string) The field and sort method to use to sort the results, such as$orderBy=memberID ASCto sort the results in ascending order by the value of the memberID field.
Responses
- 200
The response includes the email send definitions.
Media type:
application/json. Schema:getEmailSendDefinitionsResponseBody.Example
{ "requestId": "c5e689cb-9b2c-4480-8178-7be710cc2713", "definitions": [ { "definitionKey": "password_recovery", "status": "Active", "name": "Password Recovery Email", "createdDate": "2025-07-18T19:52:00", "modifiedDate": "2025-07-18T19:52:00" } ], "count": 1, "page": 1, "pageSize": 10 } - 401
Indicates that the API wasn’t able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
Media type:
application/json. Schema:httpErrorResponseBody.Example
{ "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm", "errorcode": 0, "message": "Not Authorized" } - 403
This response indicates that the API accepted your request but couldn’t authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.
Media type:
application/json. Schema:mceErrorResponseBody.Example
{ "message": "MCMS_UTM_Authorization_InsufficientPrivileges: Insufficient privileges to complete this action.", "errorcode": 20002, "documentation": "" }